Package org.apache.felix.configurator.impl.model

## Enum ConfigState

- java.lang.Object
- - java.lang.Enum<ConfigState>
  - - org.apache.felix.configurator.impl.model.ConfigState

All Implemented Interfaces:
  `Serializable`, `Comparable<ConfigState>`

    public enum ConfigState
    extends Enum<ConfigState>

The state of a configuration. The state represents the configurator's view. It might not reflect the current state of the system. For example if a configuration is installed through the configurator, it gets the state "INSTALLED". However if an administrator now deletes the configuration through any other way like e.g. the web console, the configuration still has the state "INSTALLED".

### Enum Constant Summary

Enum Constants
`IGNORED`
`INSTALL`
`INSTALLED`
`UNINSTALL`
`UNINSTALLED`

### Method Summary

All Methods Static Methods Concrete Methods
`static ConfigState` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ConfigState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSTALL

    public static final ConfigState INSTALL

#### UNINSTALL

    public static final ConfigState UNINSTALL

#### INSTALLED

    public static final ConfigState INSTALLED

#### UNINSTALLED

    public static final ConfigState UNINSTALLED

#### IGNORED

    public static final ConfigState IGNORED

### Method Detail

#### values

    public static ConfigState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConfigState c : ConfigState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConfigState valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null